Open CASCADE Technology: BRepBndLib Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Static Public Member Functions
BRepBndLib Class Reference

This package provides the bounding boxes for curves and surfaces from BRepAdaptor. Functions to add a topological shape to a bounding box. More...

`#include <BRepBndLib.hxx>`

## Static Public Member Functions
static void | Add (const TopoDS_Shape &S, Bnd_Box &B, const Standard_Boolean useTriangulation=Standard_True)
| Adds the shape S to the bounding box B. More precisely are successively added to B: More...
static void | AddClose (const TopoDS_Shape &S, Bnd_Box &B)
| Adds the shape S to the bounding box B. This is a quick algorithm but only works if the shape S is composed of polygonal planar faces, as is the case if S is an approached polyhedral representation of an exact shape. Pay particular attention to this because this condition is not checked and, if it not respected, an error may occur in the algorithm for which the bounding box is built. Note that the resulting bounding box is not enlarged by the tolerance value of the sub-shapes as is the case with the Add function. So the added part of the resulting bounding box is closer to the shape S. More...

## Detailed Description

This package provides the bounding boxes for curves and surfaces from BRepAdaptor. Functions to add a topological shape to a bounding box.

## Member Function Documentation

static void BRepBndLib::Add | ( | const TopoDS_Shape & | S,
|  | Bnd_Box & | B,
|  | const Standard_Boolean | useTriangulation = `Standard_True`
| ) |  |
| static

Adds the shape S to the bounding box B. More precisely are successively added to B:

- each face of S; the triangulation of the face is used if it exists,
- then each edge of S which does not belong to a face, the polygon of the edge is used if it exists
- and last each vertex of S which does not belong to an edge. After each elementary operation, the bounding box B is enlarged by the tolerance value of the relative sub-shape. When working with the triangulation of a face this value of enlargement is the sum of the triangulation deflection and the face tolerance. When working with the polygon of an edge this value of enlargement is the sum of the polygon deflection and the edge tolerance. Warning
- This algorithm is time consuming if triangulation has not been inserted inside the data structure of the shape S.
- The resulting bounding box may be somewhat larger than the object.

static void BRepBndLib::AddClose | ( | const TopoDS_Shape & | S,
|  | Bnd_Box & | B
| ) |  |
| static

Adds the shape S to the bounding box B. This is a quick algorithm but only works if the shape S is composed of polygonal planar faces, as is the case if S is an approached polyhedral representation of an exact shape. Pay particular attention to this because this condition is not checked and, if it not respected, an error may occur in the algorithm for which the bounding box is built. Note that the resulting bounding box is not enlarged by the tolerance value of the sub-shapes as is the case with the Add function. So the added part of the resulting bounding box is closer to the shape S.

The documentation for this class was generated from the following file:

- BRepBndLib.hxx